(function() {
	/*
	 * 指定キーの簡易データを削除
	 */
	removeSimpleStorage = function() {
		var key = document.getElementById("keyForRemove").value;
		applican.simpleStorage.remove(key, removeSimpleStorageSuccess);
	}
	
	/*
	 * 簡易データを削除成功時のcallback処理
	 */
	function removeSimpleStorageSuccess() {
		var dump = "データを削除しました。\n";
		alert(dump);
	}
	
	/*
	 * 簡易データをクリア
	 */
	clearSimpleStorage = function() {
		applican.simpleStorage.clear(clearSimpleStorageSuccess);
	}
	
	/*
	 * 簡易データをクリア成功時のcallback処理
	 */
	function clearSimpleStorageSuccess() {
		var dump = "データを全て削除しました。\n";
		alert(dump);
	}
	
	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「削除」ボタン押下処理
		document.getElementById("delBtn").addEventListener("touchend", removeSimpleStorage, false);
		// 「クリア」ボタン押下処理
		document.getElementById("clearBtn").addEventListener("touchend", clearSimpleStorage, false);
	}, false);
})();
